import { jsx, jsxs } from "react/jsx-runtime";
import { memo } from "react";
import {
  Rect,
  Svg,
  Circle as _Circle
} from "react-native-svg";
import { themed } from "../themed";
const Icon = (props) => {
  const { color = "black", size = 24, ...otherProps } = props;
  return /* @__PURE__ */ jsxs(
    Svg,
    {
      width: size,
      height: size,
      viewBox: "0 0 24 24",
      fill: "none",
      stroke: `${color}`,
      strokeWidth: "2",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      ...otherProps,
      children: [
        /* @__PURE__ */ jsx(
          Rect,
          {
            x: "1",
            y: "5",
            width: "22",
            height: "14",
            rx: "7",
            ry: "7",
            fill: "none",
            stroke: `${color}`,
            strokeWidth: "2",
            strokeLinecap: "round",
            strokeLinejoin: "round"
          }
        ),
        /* @__PURE__ */ jsx(
          _Circle,
          {
            cx: "8",
            cy: "12",
            r: "3",
            fill: "none",
            stroke: `${color}`,
            strokeWidth: "2",
            strokeLinecap: "round",
            strokeLinejoin: "round"
          }
        )
      ]
    }
  );
};
Icon.displayName = "ToggleLeft";
const ToggleLeft = memo(themed(Icon));
export {
  ToggleLeft
};
//# sourceMappingURL=toggle-left.js.map
